=== debian/changelog ===
multimon (1.0-8) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Compile mkcostab.c with the build architecture compiler.
    (Closes: #793050)

  [ Thavatchai Makphaibulchoke ]
  * better clean target (Closes: #793050, #1046652)

  [ A. Maitland Bottoms ]
  * update standards version - no changes
  * suggest multimon-ng

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 24 Feb 2024 15:41:24 -0500

multimon (1.0-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-5":
    debian/rules: build with "-fgnu89-inline"
    (Closes: #778019)

 -- gregor herrmann <gregoa@debian.org>  Mon, 20 Jul 2015 19:57:57 +0200

multimon (1.0-7) unstable; urgency=low

  * demod_ccir.c, gen.c, gen_ccir.c, gen.h, Makefile, multimon.h:
    Apply patch from Mathias Bøhn Grytemark adding support for CCIR
    output and decoding.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 17 Nov 2013 16:09:59 -0500

multimon (1.0-6) unstable; urgency=low

  * apply sox fix to gen.c as well (Closes: #592754)
  * Use AFMT_S16_NE "native"-endian sound format (Closes: #563295)
  * Incorporate Daniel Bair's patch collection:
   * Fix for stereo only systems
   * Fix to completely flush the buffer on verbprint (LP: #729299)
   * Added option to quiet output messages
   * Added example dtmf_insert.pl script
   * Updated man page to reflect changes

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 16 Oct 2013 23:02:41 -0400

multimon (1.0-5) unstable; urgency=low

  * Include newer gen.c and xdisplay.c versions from Thomas Sailer
    dated 2009-03-24. (Closes: #247857)
  * Include Joerg Woelke's patch to run sox correctly. (Closes: #536228)
  * depend upon sox. (Closes: #555391)
  * The man pages added in 1.0-4 must help,
    no recent complaints. (Closes: #205003)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 22 Nov 2009 00:18:25 -0500

multimon (1.0-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update build depend from x-dev to x11proto-core-dev.
  * Replace -m486 with -march=i486 in CGLAGS to get it building with GCC 4.3.
    Patch by Evgeni Golov. (Closes: #474873)
  * Move compat version to debian/compat.
  * Make clean target do not ignore all errors.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 23 Apr 2008 20:07:45 +0200

multimon (1.0-4) unstable; urgency=low

  * Update standards version, use non-native package format
  * refine X library dependencies due to removed xlibs-dev (Closes: #347013)
  * tidy up manpage situation, answer questions raised in bug reports:
      refer to /usr/share/doc/multimon (Closes: #282540 #332421)
      add some usage example text (Closes: #183190)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 16 Jan 2006 11:17:52 -0500

multimon (1.0-3) unstable; urgency=low

  * Update standards version, add Build-Depends line
  * Rebuild to update X library dependencies (Closes: #170233)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun,  1 Dec 2002 12:14:44 -0500

multimon (1.0-2) unstable; urgency=low

  * test for Intel architecture before using (e.g. -m486) flags, 
    (closes:Bug#66281)
  * Initial Emergency Alert System (EAS) decoder hacking
  
 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 27 Jun 2000 22:28:14 -0400

multimon (1.0-1) unstable; urgency=low

  * Initial Release.

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 19 Jun 2000 17:14:30 -0400
