=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND=-fgnu89-inline
include /usr/share/dpkg/buildtools.mk
MULTIMON_BINDIR=bin-$(shell uname -m)
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- 'CC_FOR_BUILD=$(CC_FOR_BUILD)'

override_dh_auto_clean:
	rm -f $(MULTIMON_BINDIR)/mkcostab
	rm -f $(MULTIMON_BINDIR)/gen
	rm -f $(MULTIMON_BINDIR)/multimon
	dh_auto_clean
