## multimon 1.0-2

=== debian/control ===
Source: multimon
Section: hamradio
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Standards-Version: 3.0.1

Package: multimon
Architecture: any
Depends: ${shlibs:Depends}
Description: Linux Radio Transmission Decoder
 The multimon software can decode a variety of digital transmission modes
 commonly found on UHF radio. A standard PC soundcard is used to acquire
 the signal from a transceiver. The decoding is done completely in software.
 Currently, the following modes are supported:
     AX.25 
         1200 Baud AFSK 
         2400 Baud AFSK (2 variants) 
         4800 Baud HAPN 
         9600 Baud FSK (G3RUH) 
     POCSAG 
         512 Baud 
         1200 Baud 
         2400 Baud 
     Miscellaneous 
         DTMF 
         ZVEI 
 An arbitrary set of the above modes may run concurrently on the same input
 signal (provided the CPU power is sufficient), so you do not have to know
 in advance which mode is used. Note however that some modes might require
 modifications to the radio (especially the 9600 baud FSK and the POCSAG
 modes) to work properly.
 POCSAG (Post Office Code Standards Advisory Group) is a common paging
 transmission format.
