## multimon 1.0-3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 DEBUG		=n
 OS		=$(shell uname)
-MACH		=$(shell uname -m)
+ARCHITECTURE	=$(shell dpkg --print-architecture)
 
 CFLAGS		=-Wall -Wstrict-prototypes -I/usr/X11R6/include
 ifeq ($(OS),SunOS)
@@ -11,23 +11,16 @@
 endif
 LDFLAGSX	=-lX11 -L/usr/X11R6/lib -R/usr/X11R6/lib -lsocket -lnsl
 else
-ifeq ($(MACH),x86_64)
 ifeq ($(DEBUG),y)
-CFLAGS          +=-g -O -DARCH_X86_64
+CFLAGS		+=-g -O
 else
-CFLAGS          +=-O3 -DARCH_X86_64
+CFLAGS		+=-O3
 endif
-LDFLAGSX        =-lX11 -L/usr/X11R6/lib64
-else
-ifeq ($(DEBUG),y)
-CFLAGS		+=-g -O -march=i486 -mtune=pentium4 -falign-loops=2 -falign-jumps=2 \
+ifeq ($(ARCHITECTURE),i386)
+CFLAGS		+=  -m486 -malign-loops=2 -malign-jumps=2 \
 		  -malign-functions=2 -DARCH_I386
-else
-CFLAGS		+=-O3 -march=i486 -mtune=pentium4 -falign-loops=2 -falign-jumps=2 \
-		  -falign-functions=2 -DARCH_I386
 endif
 LDFLAGSX	=-lX11 -L/usr/X11R6/lib
-endif
 endif
 
 
@@ -60,7 +53,7 @@
 
 SRC_L2		=hdlc.c pocsag.c
 SRC_L1		=demod_afsk12.c demod_afsk24.c demod_afsk24_2.c
-SRC_L1		+=demod_hapn48.c demod_fsk96.c
+SRC_L1		+=demod_hapn48.c demod_fsk96.c demod_eas.c
 SRC_L1		+=demod_poc5.c demod_poc12.c demod_poc24.c
 SRC_L1		+=demod_dtmf.c demod_zvei.c demod_display.c
 SRC_MISC	=unixinput.c costabf.c xdisplay.c
@@ -91,16 +84,11 @@
 clean:
 		$(RM) -f core `find . -name '*.[oas]' -print`
 		$(RM) -f core `find . -name 'core' -print`
-		$(RM) -f core costabi.c costabf.c *~ multimon.tar.bz2
-		$(RM) -rf bin-*
+		$(RM) -f core costabi.c costabf.c *~
 
 
-depend dep:	$(BINDIR) costabi.c costabf.c
+depend dep:
 		$(CPP) -M $(CFLAGS) $(SRC_MISC) $(SRC_L1) $(SRC_L2) $(SRC_GEN) mkcostab.c > $(BINDIR)/.depend
-
-dist:
-		tar cjf multimon.tar.bz2 COPYING Makefile filter.h filter-i386.h gen.h multimon.h \
-			$(SRC_MISC) $(SRC_L1) $(SRC_L2) $(SRC_GEN) mkcostab.c
 
 ifeq ($(BINDIR)/.depend,$(wildcard $(BINDIR)/.depend))
 include $(BINDIR)/.depend
