=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: hamradio
 Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
-Standards-Version: 3.0.1
+Build-Depends: debhelper, xlibs-dev
+Standards-Version: 3.5.8.0
 
 Package: multimon
 Architecture: any
